<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<html>
    <head>
        <title>JIRA - Local help</title>
    </head>
    <body>
<h1>JIRA Concepts - Issues</h1>

<webwork:bean name="'com.atlassian.jira.web.util.HelpUtil'" id="helpUtil" />
<p>
<table>
<tr>
<td>
<p> JIRA tracks issues, which can be bugs, feature requests, or any other tasks you want to track. </p>


<p>Each issue has a variety of associated information including:</p>

<ul>
    <li>the <a href="#IssueTypes">issue type</a> </li>
    <li>a summary</li>
    <li>a description of the issue</li>
    <li>the project which the issue belongs to</li>
    <li><a href=<webwork:property value="@helpUtil/helpPath('components')/url"/>>components</a> within a project which are associated with this issue</li>
    <li><a href=<webwork:property value="@helpUtil/helpPath('versions')/url"/>>versions</a> of the project which are affected by this issue</li>
    <li>Versions of the project which will resolve the issue</li>
    <li>the environment in which it occurs</li>
    <li>a <a href="#PriorityLevels">priority</a> for being fixed</li>
    <li>an assigned developer to work on the task</li>
    <li>a reporter - the user who entered the issue into the system</li>
    <li>the current <a href="#StatusTypes">status</a> of the issue</li>
    <li>a full history log of all field changes that have occurred</li>
    <li>a comment trail added by users</li>
<li>if the issue is resolved - the <a href="#ResolutionTypes">resolution</a> </li>
</ul>

<a name="IssueTypes" />
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;">Issue Types</div>
<div class="section">

    <p>JIRA can be used to track many different types of issues. Below are the types configured in your system. More can be added from the administration section.</p>

    <webwork:if test="/subTasksEnabled == true">For Regular Issues</webwork:if>

    <dl>
    <webwork:iterator value="issueTypes">

        <dt><img height="16" src="<%=request.getContextPath()%><webwork:property value="string('iconurl')"/>" width="16"> <b><webwork:property value="string('name')"/></b></dt>
        <dd><webwork:property value="string('description')"/></dd>

    </webwork:iterator>
    </dl>

    <webwork:if test="/subTasksEnabled == true">
        For Sub-Task Issues

        <dl>
        <webwork:iterator value="/subTaskIssueTypes">

            <dt><img height="16" src="<%=request.getContextPath()%><webwork:property value="string('iconurl')"/>" width="16"> <b><webwork:property value="string('name')"/></b></dt>
            <dd><webwork:property value="string('description')"/></dd>

        </webwork:iterator>
        </dl>
    </webwork:if>


</div>

<a name="PriorityLevels" />
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;">Priority Levels</div>
<div class="section">


    <p>An issue has a priority level which indicates its importance. The currently defined priorities are listed below.
             In addition, you can add more priority levels at the administration section.</p>

    <dl>
    <webwork:iterator value="priorities">

        <dt><img height="16" src="<%=request.getContextPath()%><webwork:property value="string('iconurl')"/>" width="16"> <b><webwork:property value="string('name')"/></b></dt>
        <dd><webwork:property value="string('description')"/></dd>

    </webwork:iterator>
    </dl>

</div>

<a name="StatusTypes" />
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;">Statuses</div>
<div class="section">

    <p>Each issue has a status, which indicates the stage of the issue. In the default workflow, issues start as being Open, progressing
        to In Progress, Resolved and then Closed. Other workflows may have other status transitions.</p>

    <dl>
    <webwork:iterator value="statuses">

        <dt><img height="16" src=<%=request.getContextPath()%><webwork:property value="string('iconurl')"/> width="16"> <b><webwork:property value="string('name')"/></b></dt>
        <dd><webwork:property value="string('description')"/></dd>

    </webwork:iterator>
    </dl>

</div>

<a name="ResolutionTypes" />
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;">Resolutions</div>

    <div class="section">

    <p>An issue can be resolved in many ways, only one of them being "Fixed". The defined resolutions are listed below. You can
            add more in the administration section.</p>
    <dl>
    <webwork:iterator value="resolutions">

    <dt><b><webwork:property value="string('name')"/></b></dt><dd><webwork:property value="string('description')"/> </dd>

    </webwork:iterator>
    </dl>

    </div>

</td></tr></table>
</body>
</html>